## libksysguard 6.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libksysguard)

set(PROJECT_VERSION "6.3.5")
set(PROJECT_VERSION_MAJOR 6)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMQmlModule)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n Auth Service Package NewStuff Solid)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 10
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(libpcap)
    set_package_properties(
        libpcap PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "libpcap is used for per-application network usage."
    )

    if(libpcap_FOUND )
        set(BUILD_NETWORK_PLUGIN TRUE)

        find_package(Libcap)
        set_package_properties(Libcap PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Needed for setting capabilities of the per-application network plugin."
        )
    endif()

    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for reading hardware sensors")
endif()

option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

ecm_set_disabled_deprecation_versions(
    QT 5.15.0
    KF 6.0.0
)

add_definitions(-DQT_USE_QSTRINGBUILDER)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( processcore )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( systemstats )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

ecm_qt_install_logging_categories(
        EXPORT LIBKSYSGUARD
        FILE libksysguard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== faces/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 2)

add_definitions(-DTRANSLATION_DOMAIN=\"KSysGuardSensorFaces\")

add_subdirectory(facepackages)
add_subdirectory(packagestructure)

set(faces_LIB_SRCS
    SensorFaceController.cpp
    SensorFace.cpp
    FaceLoader.cpp
    resources.qrc
)

set(faces_LIB_HEADERS
    SensorFace_p.h
    SensorFaceController.h
    FaceLoader.h
)

ecm_qt_declare_logging_category(faces_LIB_SRCS
    HEADER faces_logging.h
    IDENTIFIER LIBKSYSGUARD_FACES
    CATEGORY_NAME org.kde.libksysguard.faces
    DESCRIPTION "libksysguard (faces)" EXPORT LIBKSYSGUARD)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE SensorInfo_p.h)

add_library(SensorFaces ${faces_LIB_SRCS} ${faces_LIB_HEADERS})
add_library(KSysGuard::SensorFaces ALIAS SensorFaces)

ecm_add_qml_module(SensorFaces URI "org.kde.ksysguard.faces"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
    "QtCore"
    "QtQuick"
    "org.kde.config"
)

ecm_target_qml_sources(SensorFaces SOURCES
    import/ExtendedLegend.qml
    import/SensorFace.qml
    import/SensorRangeSpinBox.qml
    import/Choices.qml
    import/CompactSensorFace.qml
)

ecm_finalize_qml_module(SensorFaces)

ecm_add_qml_module(SensorFacesPrivate URI "org.kde.ksysguard.faces.private"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
)

target_sources(SensorFacesPrivate PRIVATE private_types.h)

ecm_finalize_qml_module(SensorFacesPrivate)

target_include_directories(SensorFaces
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(SensorFaces)

target_link_libraries(SensorFaces
    PUBLIC
        Qt::Qml
        Qt::Quick
        KF6::ConfigCore
        KF6::ConfigGui
        KSysGuard::Formatter
        KSysGuard::Sensors
    PRIVATE
        Qt::Core
        Qt::DBus
        KF6::I18n
        KF6::Package
        KF6::ConfigQml
        KF6::Solid
)

set_target_properties(SensorFaces PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensorFaces
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS SensorFaces EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${faces_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensorfaces_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/faces
    COMPONENT Devel
)

install(FILES systemmonitor-faces.knsrc systemmonitor-presets.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

=== processcore/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"processcore\")

########### next target ###############

set(ksysguard_LIB_SRCS
   application_data_model.cpp application_data_model.h
   cgroup.cpp cgroup.h
   cgroup_data_model.cpp cgroup_data_model.h
   extended_process_list.cpp extended_process_list.h
   processes.cpp
   process.cpp
   process_attribute.cpp
   processes_local_p.cpp processes_local_p.h
   processes_remote_p.cpp processes_remote_p.h
   processes_base_p.cpp processes_base_p.h
   processes_atop_p.cpp processes_atop_p.h atop_p.h
   process_controller.cpp
   process_attribute_model.cpp
   process_data_model.cpp
   process_data_provider.cpp
)
ecm_qt_declare_logging_category(ksysguard_LIB_SRCS HEADER processcore_debug.h IDENTIFIER LIBKSYSGUARD_PROCESSCORE CATEGORY_NAME org.kde.libksysguard.processcore
    DESCRIPTION "libksysguard (processcore)" EXPORT LIBKSYSGUARD)

add_library(processcore ${ksysguard_LIB_SRCS})
add_library(KSysGuard::ProcessCore ALIAS processcore)

generate_export_header(processcore)

target_link_libraries(processcore
   PUBLIC
    Qt::Core
    KSysGuard::Formatter
   PRIVATE
    KF6::I18n
    KF6::AuthCore
    KF6::CoreAddons
    KF6::Service
    ZLIB::ZLIB
)

if( ${CMAKE_SYSTEM_NAME} MATCHES "NetBSD" )
  message(STATUS "Adding kvm library on NetBSD")
  target_link_libraries(processcore kvm)
endif()

if(NOT HAVE_CLOCK_GETTIME_C)
    target_link_libraries(processcore PRIVATE rt)
endif()

target_include_directories(processcore
    PUBLIC
        "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard>"
)
set_target_properties(processcore PROPERTIES
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SOVERSION}
    EXPORT_NAME ProcessCore
)
install(TARGETS processcore EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(declarative)
add_subdirectory(plugins)

########### install files ###############

install( FILES
    processes.h
    process.h
    process_controller.h
    process_attribute.h
    process_data_provider.h
    process_data_model.h
    process_attribute_model.h
    formatter.h
    unit.h
    ${CMAKE_CURRENT_BINARY_DIR}/processcore_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/processcore
    COMPONENT Devel
)

#------ KAuth stuff

if(ENABLE_KAUTH_HELPER)
    # Auth example helper
    set(ksysguardprocesslist_helper_srcs
        helper.cpp helper.h
        process.cpp
        processes_local_p.cpp processes_local_p.h
        processes_base_p.cpp processes_base_p.h
    )

    add_executable(ksysguardprocesslist_helper ${ksysguardprocesslist_helper_srcs})
    target_link_libraries(ksysguardprocesslist_helper Qt::Core KF6::AuthCore KF6::I18n)
    install(TARGETS ksysguardprocesslist_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

    kauth_install_helper_files(ksysguardprocesslist_helper org.kde.ksysguard.processlisthelper root)
    kauth_install_actions(org.kde.ksysguard.processlisthelper actions.actions)

    set_target_properties(ksysguardprocesslist_helper PROPERTIES COMPILE_FLAGS "-Wall -ggdb")
endif()

=== processcore/declarative/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/..)

ecm_add_qml_module(ProcessPlugin URI "org.kde.ksysguard.process" VERSION 1.0)

target_sources(ProcessPlugin PRIVATE ProcessPlugin.cpp ProcessPlugin.h ProcessEnums.cpp ProcessEnums.h)

target_link_libraries(ProcessPlugin PRIVATE Qt::Qml KSysGuard::ProcessCore)

ecm_finalize_qml_module(ProcessPlugin)

=== processcore/plugins/nvidia/CMakeLists.txt ===
add_library(ksysguard_plugin_nvidia MODULE nvidia.cpp nvidia.h)
target_link_libraries(ksysguard_plugin_nvidia Qt::Core KSysGuard::ProcessCore KF6::I18n KF6::CoreAddons)
install(TARGETS ksysguard_plugin_nvidia DESTINATION ${KDE_INSTALL_PLUGINDIR}/ksysguard/process)

=== debian/changelog ===
libksysguard (4:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Nvidia: Initialize processes to 0.
    - Nvidia: Discover data fields based on headers.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

libksysguard (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:59:05 +0200

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin,
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin,
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data,
Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data,
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.10.0~),
         libkf6i18n-dev (>= 6.10.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libprocesscore10
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libksysguardformatter2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensors2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsensorfaces2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsystemstats2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 6.4.4

=== debian/changelog ===
libksysguard (4:6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:11 +0200

libksysguard (4:6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 17:21:42 +0200

libksysguard (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on libdrm-dev
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:24 +0100

libksysguard (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:29 +0100

## libksysguard 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,11 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.3.5")
-set(PROJECT_VERSION_MAJOR 6)
+set(PROJECT_VERSION "6.4.5")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -81,6 +80,8 @@
         PURPOSE "Used for reading hardware sensors")
 endif()
 
+find_package(Libdrm REQUIRED)
+
 option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
 add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

=== processcore/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,6 @@
    process.cpp
    process_attribute.cpp
    processes_local_p.cpp processes_local_p.h
-   processes_remote_p.cpp processes_remote_p.h
-   processes_base_p.cpp processes_base_p.h
-   processes_atop_p.cpp processes_atop_p.h atop_p.h
    process_controller.cpp
    process_attribute_model.cpp
    process_data_model.cpp
@@ -88,7 +85,6 @@
         helper.cpp helper.h
         process.cpp
         processes_local_p.cpp processes_local_p.h
-        processes_base_p.cpp processes_base_p.h
     )
 
     add_executable(ksysguardprocesslist_helper ${ksysguardprocesslist_helper_srcs})

=== faces/facepackages/CMakeLists.txt ===
 
function(install_sensorchart_face name)
    kpackage_install_package(${name} org.kde.ksysguard.${name} sensorfaces ksysguard)
endfunction()

install_sensorchart_face(barchart)
install_sensorchart_face(colorgrid)
install_sensorchart_face(linechart)
install_sensorchart_face(piechart)
install_sensorchart_face(textonly)
install_sensorchart_face(horizontalbars)
install_sensorchart_face(facegrid)

=== debian/changelog ===
libksysguard (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:27 +0100

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdrm-dev,
               libkf6auth-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.14.0~),
         libkf6i18n-dev (>= 6.14.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksysguardformatter2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: libprocesscore10
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

Package: libkf5sysguard-bin
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libksgrd9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksignalplotter9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardformatter1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensorfaces1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensors1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsystemstats1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: liblsofui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocesscore9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocessui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: qml-module-org-kde-ksysguard
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

## libksysguard 6.4.91

=== debian/changelog ===
libksysguard (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:27:04 +0200

libksysguard (4:6.3.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1114176).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 06 Sep 2025 10:08:45 +0200

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libdrm-dev,
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80),
        libkf5sysguard-bin,
Replaces: ksysguard (<< 4:5.21.80),
          libkf5sysguard-bin,
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80),
        libkf5sysguard-data,
Replaces: ksysguard-data (<< 4:5.21.80),
          libkf5sysguard-data,
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.18.0~),
         libkf6i18n-dev (>= 6.18.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libprocesscore10
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libksysguardformatter2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensors2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsensorfaces2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsystemstats2
Architecture: any
Multi-Arch: same
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.0")
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== sensors/CMakeLists.txt ===
set(KSYSGUARD_SENSORS_SOVERSION 2)

add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_sensors\")

set(sensors_LIB_SRCS
    Sensor.cpp
    SensorDataModel.cpp
    SensorTreeModel.cpp
    SensorGroup.cpp
    SensorQuery.cpp
    SensorDaemonInterface.cpp
    SensorUnitModel.cpp
)

set(sensors_LIB_HEADERS
    Sensor.h
    SensorDataModel.h
    SensorTreeModel.h
    SensorQuery.h
    SensorUnitModel.h
    SensorInfo_p.h
)

ecm_qt_declare_logging_category(sensors_LIB_SRCS
    HEADER sensors_logging.h
    IDENTIFIER LIBKSYSGUARD_SENSORS
    CATEGORY_NAME org.kde.libksysguard.sensors
    DESCRIPTION "libksysguard (sensors)" EXPORT LIBKSYSGUARD
)

set_source_files_properties(org.kde.KSysGuardDaemon.xml PROPERTIES INCLUDE ../systemstats/SensorInfo.h)
qt_add_dbus_interface(sensors_LIB_SRCS org.kde.KSysGuardDaemon.xml ksysguarddaemon)

add_library(Sensors ${sensors_LIB_SRCS})
add_library(KSysGuard::Sensors ALIAS Sensors)

ecm_add_qml_module(Sensors URI "org.kde.ksysguard.sensors" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtCore)
ecm_finalize_qml_module(Sensors)

target_include_directories(Sensors
    PUBLIC
    "$<BUILD_INTERFACE:${libksysguard_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/ksysguard/>"
)

generate_export_header(Sensors)

target_link_libraries(Sensors
    PUBLIC
        Qt::Qml
        KSysGuard::Formatter
    PRIVATE
        Qt::Core
        Qt::DBus
        KF6::I18n
        KSysGuard::SystemStats
)

set_target_properties(Sensors PROPERTIES
    LIBRARY_OUTPUT_NAME KSysGuardSensors
    VERSION ${KSYSGUARD_VERSION}
    SOVERSION ${KSYSGUARD_SENSORS_SOVERSION}
)

install(TARGETS Sensors EXPORT libksysguardLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${sensors_LIB_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sensors_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/ksysguard/sensors
    COMPONENT Devel
)

=== processcore/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"ksysguard_plugins_process\")
if (BUILD_NETWORK_PLUGIN)
    add_subdirectory(network)
endif()
add_subdirectory(gpu)

=== processcore/plugins/network/helper/CMakeLists.txt ===

set(ksgrd_network_helper_SRCS
    main.cpp
    Capture.cpp Capture.h
    Packet.cpp Packet.h
    ConnectionMapping.cpp ConnectionMapping.h
    Accumulator.cpp Accumulator.h
)

add_executable(ksgrd_network_helper ${ksgrd_network_helper_SRCS})
target_include_directories(ksgrd_network_helper PUBLIC ${PCAP_INCLUDE_DIR} ${NL_INCLUDE_DIRS})
target_link_libraries(ksgrd_network_helper ${PCAP_LIBRARY} ${NL_LIBRARIES})
kde_target_enable_exceptions(ksgrd_network_helper PUBLIC)
set_target_properties(ksgrd_network_helper PROPERTIES CXX_STANDARD 17 CXX_STANDARD_REQUIRED TRUE)

# Why can't CMake fix this itself?'
target_link_libraries(ksgrd_network_helper pthread)

install(TARGETS ksgrd_network_helper DESTINATION ${KDE_INSTALL_LIBEXECDIR}/ksysguard)

if (Libcap_FOUND)
    install(
        CODE "execute_process(
        COMMAND ${SETCAP_EXECUTABLE}
        CAP_NET_RAW=+ep
        \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR}/ksysguard/ksgrd_network_helper)"
    )
endif()

=== debian/changelog ===
libksysguard (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:20 +0200
